# Contributing to Docs

## General Guidelines

We do not have any strict conditions for writing documentation,
but keep these guidelines in mind:

* Keep code samples in the `guides/samples` folder
* When referencing an object in the API, link to its page in the
 API documentation
* Documentation should be written in an FAQ/Wiki-style format
* Documentation should be written in clear and proper English*

\* If anyone is interested in translating documentation into other
languages, please open an issue or contact me on
Discord (`foxbot#0282`).

## Style Consistencies

* Use a ruler set at 70 characters
* Links should use long syntax
* Pages should be short and concise, not broad and long

Example of long link syntax:

```md
Please consult the [API Documentation] for more information.

[API Documentation]: xref:System.String
```

## Recommended Reads

* http://docs.microsoft.com
* http://flask.pocoo.org/docs/0.12/